package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFID1 extends MwfRequest<MWFID1, MWFID1Response> {

    @Parameter(name = "AddressCity")
    MWFID1 addressCity(String addressCity);
    @Parameter(name = "AddressContCity")
    MWFID1 addressContCity(String addressContCity);
    @Parameter(name = "AddressContCountry")
    MWFID1 addressContCountry(String addressContCountry);
    @Parameter(name = "AddressContHouseNumber")
    MWFID1 addressContHouseNumber(String addressContHouseNumber);
    @Parameter(name = "AddressContLandRegistryNumber")
    MWFID1 addressContLandRegistryNumber(String addressContLandRegistryNumber);
    @Parameter(name = "AddressContStreet")
    MWFID1 addressContStreet(String addressContStreet);
    @Parameter(name = "AddressContZipCode")
    MWFID1 addressContZipCode(String addressContZipCode);
    @Parameter(name = "AddressCont_Flag")
    MWFID1 addressContFlag(String addressContFlag);
    @Parameter(name = "AddressCont_KEY")
    MWFID1 addressContKEY(Long addressContKEY);
    @Parameter(name = "AddressCountry")
    MWFID1 addressCountry(String addressCountry);
    @Parameter(name = "AddressHouseNumber")
    MWFID1 addressHouseNumber(String addressHouseNumber);
    @Parameter(name = "AddressLandRegistryNumber")
    MWFID1 addressLandRegistryNumber(String addressLandRegistryNumber);
    @Parameter(name = "AddressSince")
    MWFID1 addressSince(java.util.Date addressSince);
    @Parameter(name = "AddressStreet")
    MWFID1 addressStreet(String addressStreet);
    @Parameter(name = "AddressZipCode")
    MWFID1 addressZipCode(String addressZipCode);
    @Parameter(name = "Address_Flag")
    MWFID1 addressFlag(String addressFlag);
    @Parameter(name = "Address_KEY")
    MWFID1 addressKEY(Long addressKEY);
    @Parameter(name = "AdressSrcRole")
    MWFID1 adressSrcRole(String adressSrcRole);
    @Parameter(name = "BirthCountry")
    MWFID1 birthCountry(String birthCountry);
    @Parameter(name = "BirthDate")
    MWFID1 birthDate(java.util.Date birthDate);
    @Parameter(name = "BirthNumber")
    MWFID1 birthNumber(String birthNumber);
    @Parameter(name = "BirthSurname")
    MWFID1 birthSurname(String birthSurname);
    @Parameter(name = "CIF")
    MWFID1 cif(String cif);
    @Parameter(name = "ClientState")
    MWFID1 clientState(String clientState);
    @Parameter(name = "ClientType")
    MWFID1 clientType(String clientType);
    @Parameter(name = "CompanyIdentificationNumber")
    MWFID1 companyIdentificationNumber(String companyIdentificationNumber);
    @Parameter(name = "CompanyName")
    MWFID1 companyName(String companyName);
    @Parameter(name = "CurrentAddressFrom")
    MWFID1 currentAddressFrom(java.util.Date currentAddressFrom);
    @Parameter(name = "CustomerID")
    MWFID1 customerID(String customerID);
    @Parameter(name = "CustomerSRCSystem")
    MWFID1 customerSRCSystem(String customerSRCSystem);
    @Parameter(name = "Email")
    MWFID1 email(String email);
    @Parameter(name = "EmailStrRole")
    MWFID1 emailStrRole(String emailStrRole);
    @Parameter(name = "Email_FLAG")
    MWFID1 emailFLAG(String emailFLAG);
    @Parameter(name = "Email_KEY")
    MWFID1 emailKEY(Long emailKEY);
    @Parameter(name = "EmploymentType")
    MWFID1 employmentType(String employmentType);
    @Parameter(name = "FEID")
    MWFID1 feid(String feid);
    @Parameter(name = "IDCard2Number")
    MWFID1 iDCard2Number(String iDCard2Number);
    @Parameter(name = "IDCard2PublishingCountry")
    MWFID1 iDCard2PublishingCountry(String iDCard2PublishingCountry);
    @Parameter(name = "IDCard2PurpCode")
    MWFID1 iDCard2PurpCode(String iDCard2PurpCode);
    @Parameter(name = "IDCard2SrcRole")
    MWFID1 iDCard2SrcRole(String iDCard2SrcRole);
    @Parameter(name = "IDCard2Type")
    MWFID1 iDCard2Type(String iDCard2Type);
    @Parameter(name = "IDCard2ValidTo")
    MWFID1 iDCard2ValidTo(java.util.Date iDCard2ValidTo);
    @Parameter(name = "IDCard2_Flag")
    MWFID1 iDCard2Flag(String iDCard2Flag);
    @Parameter(name = "IDCard2_KEY")
    MWFID1 iDCard2KEY(Long iDCard2KEY);
    @Parameter(name = "IDCard3Number")
    MWFID1 iDCard3Number(String iDCard3Number);
    @Parameter(name = "IDCard3PublishingCountry")
    MWFID1 iDCard3PublishingCountry(String iDCard3PublishingCountry);
    @Parameter(name = "IDCard3PurpCode")
    MWFID1 iDCard3PurpCode(String iDCard3PurpCode);
    @Parameter(name = "IDCard3SrcRole")
    MWFID1 iDCard3SrcRole(String iDCard3SrcRole);
    @Parameter(name = "IDCard3Type")
    MWFID1 iDCard3Type(String iDCard3Type);
    @Parameter(name = "IDCard3ValidTo")
    MWFID1 iDCard3ValidTo(java.util.Date iDCard3ValidTo);
    @Parameter(name = "IDCard3_Flag")
    MWFID1 iDCard3Flag(String iDCard3Flag);
    @Parameter(name = "IDCard3_KEY")
    MWFID1 iDCard3KEY(Long iDCard3KEY);
    @Parameter(name = "IDCardNumber")
    MWFID1 iDCardNumber(String iDCardNumber);
    @Parameter(name = "IDCardPublishingCountry")
    MWFID1 iDCardPublishingCountry(String iDCardPublishingCountry);
    @Parameter(name = "IDCardPurpCode")
    MWFID1 iDCardPurpCode(String iDCardPurpCode);
    @Parameter(name = "IDCardSrcRole")
    MWFID1 iDCardSrcRole(String iDCardSrcRole);
    @Parameter(name = "IDCardType")
    MWFID1 iDCardType(String iDCardType);
    @Parameter(name = "IDCardValidTo")
    MWFID1 iDCardValidTo(java.util.Date iDCardValidTo);
    @Parameter(name = "IDCard_Flag")
    MWFID1 iDCardFlag(String iDCardFlag);
    @Parameter(name = "IDCard_KEY")
    MWFID1 iDCardKEY(Long iDCardKEY);
    @Parameter(name = "LegalForm")
    MWFID1 legalForm(String legalForm);
    @Parameter(name = "MaritialProperty")
    MWFID1 maritialProperty(String maritialProperty);
    @Parameter(name = "MaritialState")
    MWFID1 maritialState(String maritialState);
    @Parameter(name = "Name")
    MWFID1 name(String name);
    @Parameter(name = "Nationality")
    MWFID1 nationality(String nationality);
    @Parameter(name = "Note")
    MWFID1 note(String note);
    @Parameter(name = "PROCESSNAME")
    MWFID1 processname(String processname);
    @Parameter(name = "PlaceOfBirth")
    MWFID1 placeOfBirth(String placeOfBirth);
    @Parameter(name = "Salutation")
    MWFID1 salutation(String salutation);
    @Parameter(name = "Sex")
    MWFID1 sex(String sex);
    @Parameter(name = "Surname")
    MWFID1 surname(String surname);
    @Parameter(name = "Telefon")
    MWFID1 telefon(String telefon);
    @Parameter(name = "TelefonStrRole")
    MWFID1 telefonStrRole(String telefonStrRole);
    @Parameter(name = "Telefon_FLAG")
    MWFID1 telefonFLAG(String telefonFLAG);
    @Parameter(name = "Telefon_KEY")
    MWFID1 telefonKEY(Long telefonKEY);
    @Parameter(name = "TitleAfterName")
    MWFID1 titleAfterName(String titleAfterName);
    @Parameter(name = "TitleBeforeName")
    MWFID1 titleBeforeName(String titleBeforeName);
    @Parameter(name = "UNI_PT_KEY")
    MWFID1 uniPtKey(Long uniPtKey);
    @Parameter(name = "USERID")
    MWFID1 userid(String userid);
    @Parameter(name = "WFID")
    MWFID1 wfid(String wfid);
    @Parameter(name = "WORKCREATEDBY")
    MWFID1 workcreatedby(String workcreatedby);
}
